Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbrain.qlink.cmd.action
Class MenuItem

    java.lang.Object
      |
      +--org.jbrain.qlink.cmd.AbstractCommand
            |
            +--org.jbrain.qlink.cmd.action.AbstractAction
                  |
                  +--org.jbrain.qlink.cmd.action.AbstractMenuItem
                        |
                        +--org.jbrain.qlink.cmd.action.MenuItem

All Implemented Interfaces:
  Action, Command

public class MenuItem
extends AbstractMenuItem

Field Summary
`static int` | `AREA_MENU`
`static int` | `CHAT`
`static int` | `COST_NO_CHARGE`
`static int` | `COST_NORMAL`
`static int` | `COST_PREMIUM`
`static int` | `DOWNLOAD`
`static int` | `FILE_DESC`
`static int` | `GATEWAY`
`static int` | `HEADING`
`static int` | `MENU`
`static int` | `MENU_DATA`
`static int` | `MESSAGE`
`static int` | `MESSAGE_BASE`
`static int` | `MULTI_TEXT`
`static int` | `POST_OFFICE`
`static int` | `TEXT`
`static int` | `UNKNOWN_83`
`static int` | `UNKNOWN_84`
`static int` | `UNKNOWN_89`
`static int` | `UNKNOWN_8C`
`static int` | `UNKNOWN_8E`
`static int` | `UPLOAD`

Fields inherited from class org.jbrain.qlink.cmd.action.AbstractMenuItem
`_iID`

Fields inherited from class org.jbrain.qlink.cmd.action.AbstractAction
`CMD_ACTION`

Fields inherited from class org.jbrain.qlink.cmd.AbstractCommand
`_iCalculatedCRC, _iReportedCRC`

Fields inherited from interface org.jbrain.qlink.cmd.Command
`CMD_START`

Constructor Summary
`MenuItem(int id, java.lang.String name, int ser, boolean bLastItem)`
`MenuItem(int id, java.lang.String name, int type, int cost, boolean bLastItem)`

Method Summary
`byte[]` | `getBytes()`

Methods inherited from class org.jbrain.qlink.cmd.action.AbstractMenuItem
`decode, encode`

Methods inherited from class org.jbrain.qlink.cmd.action.AbstractAction
`finalizeCmd, getAction, getBytes, getName, getString`

Methods inherited from class org.jbrain.qlink.cmd.AbstractCommand
`getCommand, getRecvSequence, getSendSequence, setRecvSequence, setSendSequence`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.jbrain.qlink.cmd.Command
`getCommand, getRecvSequence, getSendSequence, setRecvSequence, setSendSequence`

Field Detail

### HEADING

    public static final int HEADING

See Also:
  Constant Field Values

### MESSAGE_BASE

    public static final int MESSAGE_BASE

See Also:
  Constant Field Values

### MESSAGE

    public static final int MESSAGE

See Also:
  Constant Field Values

### MENU

    public static final int MENU

See Also:
  Constant Field Values

### TEXT

    public static final int TEXT

See Also:
  Constant Field Values

### UNKNOWN_83

    public static final int UNKNOWN_83

See Also:
  Constant Field Values

### UNKNOWN_84

    public static final int UNKNOWN_84

See Also:
  Constant Field Values

### GATEWAY

    public static final int GATEWAY

See Also:
  Constant Field Values

### AREA_MENU

    public static final int AREA_MENU

See Also:
  Constant Field Values

### POST_OFFICE

    public static final int POST_OFFICE

See Also:
  Constant Field Values

### MULTI_TEXT

    public static final int MULTI_TEXT

See Also:
  Constant Field Values

### UNKNOWN_89

    public static final int UNKNOWN_89

See Also:
  Constant Field Values

### DOWNLOAD

    public static final int DOWNLOAD

See Also:
  Constant Field Values

### CHAT

    public static final int CHAT

See Also:
  Constant Field Values

### UNKNOWN_8C

    public static final int UNKNOWN_8C

See Also:
  Constant Field Values

### UPLOAD

    public static final int UPLOAD

See Also:
  Constant Field Values

### UNKNOWN_8E

    public static final int UNKNOWN_8E

See Also:
  Constant Field Values

### MENU_DATA

    public static final int MENU_DATA

See Also:
  Constant Field Values

### FILE_DESC

    public static final int FILE_DESC

See Also:
  Constant Field Values

### COST_NORMAL

    public static final int COST_NORMAL

See Also:
  Constant Field Values

### COST_PREMIUM

    public static final int COST_PREMIUM

See Also:
  Constant Field Values

### COST_NO_CHARGE

    public static final int COST_NO_CHARGE

See Also:
  Constant Field Values

Constructor Detail

### MenuItem

    public MenuItem(int id,
                    java.lang.String name,
                    int type,
                    int cost,
                    boolean bLastItem)

### MenuItem

    public MenuItem(int id,
                    java.lang.String name,
                    int ser,
                    boolean bLastItem)

Method Detail

### getBytes

    public byte[] getBytes()

  Specified by:
    `getBytes` in interface `Command`
  Overrides:
    `getBytes` in class `AbstractAction`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD